fix seasocks alignment issues + lack of .gitignore

Change-Id: If29d4611a47039bc7722b1d16fff920411b766a8
diff --git a/aos/build/download_externals.sh b/aos/build/download_externals.sh
index 413d0fc..ca49fd2 100755
--- a/aos/build/download_externals.sh
+++ b/aos/build/download_externals.sh
@@ -213,8 +213,10 @@
 
 # get and build seasocks
 SEASOCKS_VERSION=1.1.2
-SEASOCKS_DIR=${EXTERNALS}/seasocks-${SEASOCKS_VERSION}
-[ -d ${SEASOCKS_DIR} ] || git clone --branch v${SEASOCKS_VERSION} \
-  https://github.com/mattgodbolt/seasocks.git ${SEASOCKS_DIR}
+SEASOCKS_PATCH=1
+SEASOCKS_DIR=${EXTERNALS}/seasocks-${SEASOCKS_VERSION}-p${SEASOCKS_PATCH}
+[ -d ${SEASOCKS_DIR} ] || ( git clone --branch v${SEASOCKS_VERSION} \
+  https://github.com/mattgodbolt/seasocks.git ${SEASOCKS_DIR} && \
+  patch -p1 -d ${SEASOCKS_DIR} < ${AOS}/externals/seasocks.patch )
 
 rm -rf ${TMPDIR}
diff --git a/aos/build/externals.gyp b/aos/build/externals.gyp
index 8764eb7..e72f4f7 100644
--- a/aos/build/externals.gyp
+++ b/aos/build/externals.gyp
@@ -16,7 +16,7 @@
     'libevent_version': '2.0.21',
     'libcdd_version': '094g',
     'stm32flash_commit': '8399fbe1baf2b7d097746786458021d92895d71b',
-    'seasocks_version': '1.1.2',
+    'seasocks_version': '1.1.2-p1',
 
     'allwpilib': '<(AOS)/externals/allwpilib',
     'forwpilib': '<(AOS)/externals/forwpilib',